SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Encryption/VPN)  >   Citrix NetScaler Vendors:   Citrix
Citrix NetScaler Nonce Generation Flaw Lets Remote Users Obtain Potentially Sensitive Information on the Target System
SecurityTracker Alert ID:  1037795
SecurityTracker URL:  http://securitytracker.com/id/1037795
CVE Reference:   CVE-2016-0270   (Links to External Site)
Date:  Feb 8 2017
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10.5, 11.0, 11.1
Description:   A vulnerability was reported in Citrix NetScaler Application Delivery Controller (ADC) and Gateway. A remote user can obtain session data.

The Galois/Counter Mode (GCM) block cipher mode TLS implementation does not properly generate nonces. As a result, a remote user that can monitor the network may be able to determine session data.

The original advisory is available at:

https://github.com/nonce-disrespect/nonce-disrespect/blob/master/README.md

Hanno Bock (https://hboeck.de/) reported this vulnerability.

Impact:   A remote user can obtain session data.
Solution:   The vendor has issued a fix (10.5 Build 65.11, 11.0 Build 69.12/69.123, 11.1 Build 51.21).

The vendor advisory is available at:

https://support.citrix.com/article/CTX220329

Vendor URL:  support.citrix.com/article/CTX220329 (Links to External Site)
Cause:   Randomization error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC